Bug 1342286 - colour pickers (several tried) not working on Wayland session
Summary: colour pickers (several tried) not working on Wayland session
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: gpick
Version: 30
Hardware: Unspecified
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Luya Tshimbalanga
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-02 21:32 UTC by gingerling
Modified: 2019-02-19 17:12 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github thezbyg gpick issues 133 None None None 2016-12-25 05:23:26 UTC

Description gingerling 2016-06-02 21:32:46 UTC
User-Agent:       Mozilla/5.0 (X11; Fedora; Linux x86_64; rv:46.0) Gecko/20100101 Firefox/46.0
Build Identifier: 

I use gpick a lot, after new install of 23 I reinstalled it but it can't seem to pick colours, it just picks black. I tried reinstalling it, same problem. So then I tried the picker in gimp and that has the same issue. 

Reproducible: Always

Steps to Reproduce:
1.Open gpick or gimp
2. try to pick a colour using the pipette tool 
3. it just selects black
Actual Results:  
it picks black

Expected Results:  
should pick the colour under the pointer

Comment 1 Kevin Fenzi 2016-06-02 22:27:52 UTC
Moving to gpick maintainer for debugging. 

Are you using a gnome/wayland session by chance?

Comment 2 gingerling 2016-06-02 23:30:52 UTC
ah yes, good call, I am using wayland to avoid this https://bugzilla.redhat.com/show_bug.cgi?id=1316877 which has caused some really serious overheating

Comment 3 gingerling 2016-06-10 21:58:17 UTC
actually, just tried this now in wayland, on the off chance, and it;s still the same

Comment 4 Luya Tshimbalanga 2016-06-11 01:29:31 UTC
Rendering issue is on Wayland.

Comment 5 gingerling 2016-06-11 08:57:10 UTC
Ah yes, it I wasn't back in gnome, Log out, change to gnome, log in does not seem to be working right, I had to reboot a few times to get out of wayland. I sould probably report that too!

Comment 6 Luya Tshimbalanga 2016-06-14 06:44:26 UTC
(In reply to gingerling from comment #5)
> Ah yes, it I wasn't back in gnome, Log out, change to gnome, log in does not
> seem to be working right, I had to reboot a few times to get out of wayland.
> I sould probably report that too!

I filed the bug to upstream. See https://github.com/thezbyg/gpick/issues/133

Comment 7 Fedora End Of Life 2016-11-25 09:12:12 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Luya Tshimbalanga 2016-11-26 06:59:24 UTC
Moved to rawhide because the issue is upstream

Comment 9 Ryan Rowe 2017-01-16 19:55:01 UTC
The issue is upstream, but we should have a list of Wayland not supported apps for Fedora users to refer to.

Comment 10 Fedora End Of Life 2017-02-28 09:58:57 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 11 Luya Tshimbalanga 2017-09-27 01:52:27 UTC
Pushing to rawhide as there is currently no method to properly sample a colour within Wayland session.

Comment 12 Fedora End Of Life 2018-02-20 15:27:12 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 13 Ben Cotton 2019-02-19 17:12:22 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 30 development cycle.
Changing version to '30.


Note You need to log in before you can comment on or make changes to this bug.